sata_std_hardreset
Prev | Chapter 4. libata Library | Next

## Name

sata_std_hardreset — reset host port via SATA phy reset

## Synopsis

`int sata_std_hardreset (` | struct ata_link * | link,
| unsigned int * | class,
| unsigned long | deadline`)`;

## Arguments

`link`

  link to reset

`class`

  resulting class of attached device

`deadline`

  deadline jiffies for the operation

## Description

SATA phy-reset host port using DET bits of SControl register, wait for !BSY and classify the attached device.

## LOCKING

Kernel thread context (may sleep)

## RETURNS

0 on success, -errno otherwise.

Prev | Up | Next
sata_link_hardreset | Home | ata_std_postreset